/**
  Copyright (C) 1998 XYZ, Inc. All rights Reserved.
  XXX   %Z%%M% version %I% date:%G%
  Component:  Component
  Package: spki
  File:    Component.java
*/

package fi.hut.tcm.spki;
import fi.hut.tcm.spki.*;


/**
  Component
  
  An interface for SPKI components.
  
  Implemented by ByteString and Composite. Used for traversing the SPKI 
  data structures.
*/
public interface Component {

  /**
    Accepts a visitor according to the Visitor Design Pattern. This is an 
    implementation hook for the visitor implementation into the fi.hut.tcm.
    spki.impl package.
  */
  public void accept(Visitor visitor);
  
  
} // Component

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
