/**
  Copyright (C) 1998 XYZ, Inc. All rights Reserved.
  XXX   %Z%%M% version %I% date:%G%
  Component:  NotAfter
  Package: impl
  File:    NotAfter.java
*/

package fi.hut.tcm.spki.impl;
import fi.hut.tcm.spki.*;

/**
  NotAfter
  
  The time indicating the end of the validity period. Contains a Time-
  object.
*/
public class NotAfter
  extends Composite {

  /**
  */
  public NotAfter() {
  
  //+ NotAfter::NotAfter( )
    super();
  //- NotAfter::NotAfter( )
  }
  
  /**
  */
  public boolean check(Component addition)
    throws IllegalStateException  {
  
  //+ NotAfter::check(Component)
      if (!(addition instanceof Time))
	return false;
      if (children.size() == 0)
	return true;
      throw new IllegalStateException();
  //- NotAfter::check(Component)
  }
  
  /**
  */
  public void accept(Visitor visitor) {
  
  //+ NotAfter::accept(Visitor)
    visitor.at(this);
  //- NotAfter::accept(Visitor)
  }
  
} // NotAfter

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
