/**
  Copyright (C) 1998 XYZ, Inc. All rights Reserved.
  XXX   %Z%%M% version %I% date:%G%
  Component:  CertDisplay
  Package: impl
  File:    CertDisplay.java
*/

package fi.hut.tcm.spki.impl;
import fi.hut.tcm.spki.*;

/**
  CertDisplay
  
  Certificate CertDisplay.
*/
public class CertDisplay
  extends ByteString {

  /**
    Creates an empty CertDisplay.
  */
  public CertDisplay() {
  
  //+ CertDisplay::CertDisplay( )
    super();
  //- CertDisplay::CertDisplay( )
  }
  
  /**
    Creates a CertDisplay with the value as the CertDisplay text.
  */
  public CertDisplay(String value) {
  
  //+ CertDisplay::CertDisplay(String)
    super(value);
  //- CertDisplay::CertDisplay(String)
  }
  
  /**
  */
  public String toString() {
  
  //+ CertDisplay::toString( )
    return new String("(display " + super.toString() + ") ");
  //- CertDisplay::toString( )
  }
  
  /**
  */
  public boolean equals(Object other) {
  
  //+ CertDisplay::equals(Object)
    if ((other instanceof CertDisplay) && 
	(((CertDisplay)other).getValueString().equals(getValueString())) && 
	(((CertDisplay)other).getDisplayHintString().equals(getDisplayHintString())))
      return true;
    else 
      return false;
  //- CertDisplay::equals(Object)
  }
  
  /**
  */
  public void accept(Visitor visitor) {
  
  //+ CertDisplay::accept(Visitor)
    visitor.at(this);
  //- CertDisplay::accept(Visitor)
  }
  
} // CertDisplay

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
