/**
  Copyright (C) 1998 XYZ, Inc. All rights Reserved.
  XXX   %Z%%M% version %I% date:%G%
  Component:  SkipSExpr
  Package: impl
  File:    SkipSExpr.java
*/

package fi.hut.tcm.spki.impl;
import fi.hut.tcm.spki.*;

/**
  SkipSExpr
  
  This class is associated in HashMap to those S-Expression types that need
   not be translated to GenericFormat.
*/
public class SkipSExpr
  extends Object
  implements Component {

  /**
    This method should never be executed, because this class is not part of
     the component tree.
  */
  public void accept(Visitor visitor) {
  
  //+ SkipSExpr::accept(Visitor)
    visitor.at(this);
  //- SkipSExpr::accept(Visitor)
  }
  
} // SkipSExpr

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
